Returns the unsigned message for name service wallet verification.
curl --request POST \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/nameService/{chainName}/signingMessage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"domain": "An example name",
"uri": "<string>"
}
'{
"unsignedMessage": "<string>"
}Documentation Index
Fetch the complete documentation index at: https://www.dynamic.xyz/docs/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the environment
36^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"95b11417-f18f-457f-8804-68e361f9164f"
Shortened chain name
ETH, EVM, FLOW, SOL, ALGO, STARK, COSMOS, BTC, ECLIPSE, SUI, SPARK, TRON, APTOS, TON, STELLAR, ALEO, TEMPO, MIDNIGHT Valid blockchain wallet address, must be an alphanumeric string (underscores allowed for chains like Midnight)
255^[A-Za-z0-9_]{18,100}$"0xbF394748301603f18d953C90F0b087CBEC0E1834"
255^(?=\S)[\p{L}\p{N}a-zA-Z _.,:!?&%@\/+\-'|]+(?<=\S)$"An example name"
URI to associate with the name service record (e.g. a profile URL or IPFS hash)
Unsigned SIWE message to sign
Plaintext message in chain-specific format (eg. SIWE for EVM) that needs to be signed with the admin domain address.
Was this page helpful?
curl --request POST \
--url https://app.dynamicauth.com/api/v0/environments/{environmentId}/nameService/{chainName}/signingMessage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "0xbF394748301603f18d953C90F0b087CBEC0E1834",
"domain": "An example name",
"uri": "<string>"
}
'{
"unsignedMessage": "<string>"
}